Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: sensors::Sensor Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
sensors::Sensor Interface Reference

Sensor interface More...

`import "Sensor.idl";`

Inheritance diagram for sensors::Sensor:

## Classes
struct | TypeSpec
| Complete sensor type specification. More...
struct | TypeSpecChangedEvent
| Event: The type specification of the sensor changed. More...

## Public Types
enum | OnOffState { OFF , ON }
| Sensor states for DISCRETE_ON_OFF sensors. More...
enum | OpenClosedState { OPEN , CLOSED }
enum | NormalAlarmedState { NORMAL , ALARMED }
enum | OkFaultState { OK , FAULT }

## Public Member Functions
TypeSpec | getTypeSpec ()
| Retrieve the sensor type specification.
boolean | isTypeChangeAllowed ()
| Check whether the sensor type can be changed using setType().
int | setType (in int type, in int unit)
| Set sensor type and unit.

## Public Attributes
constant int | ERR_NOT_SUPPORTED = 1
| The operation is not supported.
constant int | NUMERIC = 0
| Sensor reading type
constant int | DISCRETE_ON_OFF = 1
| Sensor has two discrete readings: 0 (off) and 1 (on), see OnOffState
constant int | DISCRETE_MULTI = 2
| Sensor has multiple discrete readings
constant int | UNSPECIFIED = 0
| Sensor type
constant int | VOLTAGE = 1
| Voltage.
constant int | CURRENT = 2
| Current.
constant int | UNBALANCE_CURRENT = 3
| Current unbalance.
constant int | POWER = 4
| Power.
constant int | POWER_FACTOR = 5
| Power factor.
constant int | ENERGY = 6
| Energy.
constant int | FREQUENCY = 7
| Frequency.
constant int | TEMPERATURE = 8
| Temperature.
constant int | HUMIDITY = 9
| Relative humidity.
constant int | AIR_FLOW = 10
| Air flow.
constant int | AIR_PRESSURE = 11
| Air pressure.
constant int | CONTACT_CLOSURE = 12
| Contact Closure [uses NormalAlarmedState mapping].
constant int | ON_OFF_SENSOR = 13
| Switch state [uses OnOffState mapping].
constant int | TRIP_SENSOR = 14
| Circuit breaker tripped [uses OpenClosedState mapping].
constant int | VIBRATION = 15
| Vibration [uses NormalAlarmedState mapping].
constant int | WATER_LEAK = 16
| Water leak [uses NormalAlarmedState mapping].
constant int | SMOKE_DETECTOR = 17
| Smoke detector [uses NormalAlarmedState mapping].
constant int | TOTAL_HARMONIC_DISTORTION = 18
| Total harmonic distortion.
constant int | MASS = 19
| Mass.
constant int | ELECTRICAL_RESISTANCE = 20
| Electrical resistance.
constant int | FLUX = 21
| Flux (mass per time, e.g. water flow)
constant int | LUMINOUS_INTENSITY = 22
| Luminous intensity.
constant int | ACCELERATION = 23
| Acceleration.
constant int | MAGNETIC_FLUX_DENSITY = 24
| Magnetic flux density.
constant int | ELECTRIC_FIELD_STRENGTH = 25
| Electric field strength.
constant int | MAGNETIC_FIELD_STRENGTH = 26
| Magnetic field strength [uses NormelAlarmedState mapping if of DISCRETE_ON_OFF type].
constant int | ANGLE = 27
| Angle (e.g. phase angle)
constant int | SELECTION = 28
| Selected index (one of n)
constant int | FAULT_STATE = 29
| Fault state [uses NormalAlarmedState mapping if of DISCRETE_ON_OFF type].
constant int | POWER_QUALITY = 30
| Power quality.
constant int | ROTATIONAL_SPEED = 31
| Rotational speed (e.g. fan speed)
constant int | LUMINOUS_ENERGY = 32
| Luminous energy.
constant int | LUMINOUS_FLUX = 33
| Luminous flux.
constant int | ILLUMINANCE = 34
| Illuminance used for light incident on a surface.
constant int | LUMINOUS_EMITTANCE = 35
| Luminous emittance used for light emitted from a surface.
constant int | MOTION = 36
| Motion detection.
constant int | OCCUPANCY = 37
| Occupancy detection [uses NormalAlarmedState mapping].
constant int | TAMPER = 38
| Tamper detection [uses NormalAlarmedState mapping].
constant int | DRY_CONTACT = 39
| Dry contact (actuator) [uses OnOffState mapping].
constant int | POWERED_DRY_CONTACT = 40
| Powered dry contact (actuator) [uses OnOffState mapping].
constant int | ABSOLUTE_HUMIDITY = 41
| Absolute humidity.
constant int | DOOR_STATE = 42
| Door state [uses OpenClosedState mapping].
constant int | DOOR_LOCK_STATE = 43
| Door lock state [uses OpenClosedState mapping].
constant int | DOOR_HANDLE_LOCK = 44
| Door handle switch [uses OpenClosedState mapping].
constant int | CREST_FACTOR = 45
| Crest factor.
constant int | DISTANCE = 46
| Distance.
constant int | LENGTH = 47
| Length.
constant int | UNBALANCE_VOLTAGE = 48
| Voltage unbalance.
constant int | PARTICLE_DENSITY = 49
| Particle Density.
constant int | DEW_POINT = 50
| Dew Point.
constant int | ELECTRICAL_IMPEDANCE = 51
| Electrical impedance.
constant int | TS_BYPASS_STATE = 52
| Transfer switch bypass state.
constant int | BATTERY_LEVEL = 53
| Battery level.
constant int | NONE = 0
| Sensor unit
constant int | VOLT = 1
| Electric Potential, Volts (V)
constant int | AMPERE = 2
| Electric Current, Amperes (A)
constant int | WATT = 3
| Electric Power, Watts (W)
constant int | VOLT_AMP = 4
| Electric Capacity, Volt Amperes (VA)
constant int | WATT_HOUR = 5
| Active Energy, Watt hours (Wh)
constant int | VOLT_AMP_HOUR = 6
| Apparent Energy, Volt-Ampere hours (VAh)
constant int | DEGREE_CELSIUS = 7
| Temperature, Celsius (deg C)
constant int | HZ = 8
| Frequency, Hertz (Hz)
constant int | PERCENT = 9
| Ratio, Percent (%)
constant int | METER_PER_SEC = 10
| Speed, Meters per second (m/s)
constant int | PASCAL = 11
| Pressure, Pascal (Pa)
constant int | G = 12
| Acceleration, G-force (g)
constant int | RPM = 13
| Rotation, Revolutions per minute (rpm)
constant int | METER = 14
| Distance, Meters (m)
constant int | HOUR = 15
| Time, Hours (h)
constant int | MINUTE = 16
| Time, Minutes (min)
constant int | SECOND = 17
| Time, Seconds (s)
constant int | VOLT_AMP_REACTIVE = 18
| Reactive Power, Volt Amperes reactive (var)
constant int | VOLT_AMP_REACTIVE_HOUR = 19
| Reactive Energy, Volt Ampere reactive hours (varh)
constant int | GRAM = 20
| Mass, Gram (g)
constant int | OHM = 21
| Resistance, Ohm (omega, R)
constant int | LITERS_PER_HOUR = 22
| Flow, Liters per hour (l/h)
constant int | CANDELA = 23
| Luminous Intensity, Candela (cd)
constant int | METER_PER_SQUARE_SEC = 24
| Acceleration, Meter per square second (m/s^2)
constant int | METER_PER_SQARE_SEC = 24
| Typo, preserved for backward compatibility.
constant int | TESLA = 25
| Magnetic Flux Density, Tesla (T)
constant int | VOLT_PER_METER = 26
| Electric Field, Volt per meter (V/m)
constant int | VOLT_PER_AMPERE = 27
| Resistance, Volt per ampere (V/A)
constant int | DEGREE = 28
| Angle, Degrees (deg)
constant int | DEGREE_FAHRENHEIT = 29
| Temperature, Fahrenheit (deg F)
constant int | KELVIN = 30
| Temperature, Kelvin (K)
constant int | JOULE = 31
| Energy, Joules (J)
constant int | COULOMB = 32
| Electric Charge, Coulombs (C)
constant int | NIT = 33
| Luminance, Nits (cd/m^2)
constant int | LUMEN = 34
| Luminous Flux, Lumen (lm)
constant int | LUMEN_SECOND = 35
| Luminous Energy, Lumen second (lm s)
constant int | LUX = 36
| Luminous Flux, Lux (lx)
constant int | PSI = 37
| Pressure, Pounds per square inch (psi)
constant int | NEWTON = 38
| Force, Newtons (N, J/m)
constant int | FOOT = 39
| Distance, Feet (ft)
constant int | FOOT_PER_SEC = 40
| Speed, Feet per second (ft/s)
constant int | CUBIC_METER = 41
| Volume, Cubic meters (m^3)
constant int | RADIANT = 42
| Angle, Radians (rad)
constant int | STERADIANT = 43
| Solid Angle, Steradians (sr)
constant int | HENRY = 44
| Inductance, Henries (H, Vs/A, Ohm s)
constant int | FARAD = 45
| Capacitance, Farads (F)
constant int | MOL = 46
| Substance Quantity, Moles (mol)
constant int | BECQUEREL = 47
| Radiation, Becquerels (Bq)
constant int | GRAY = 48
| Radiation, Grays (Gy, J/kg)
constant int | SIEVERT = 49
| Radiation, Sieverts (Sv = J/kg)
constant int | G_PER_CUBIC_METER = 50
| Density, Grams per cubic meter (g/m^3)
constant int | UG_PER_CUBIC_METER = 51
| Density, Micrograms per cubic meter (µg/m^3)

## Detailed Description

Sensor interface

Definition at line 15 of file Sensor.idl.

## Member Enumeration Documentation

## ◆ NormalAlarmedState

enum sensors::Sensor::NormalAlarmedState

Enumerator
NORMAL | normal (not alarmed)
ALARMED | alarmed

Definition at line 35 of file Sensor.idl.

## ◆ OkFaultState

enum sensors::Sensor::OkFaultState

Enumerator
OK | OK.
FAULT | fault

Definition at line 40 of file Sensor.idl.

## ◆ OnOffState

enum sensors::Sensor::OnOffState

Sensor states for DISCRETE_ON_OFF sensors.

Enumerator
OFF | off
ON | on

Definition at line 25 of file Sensor.idl.

## ◆ OpenClosedState

enum sensors::Sensor::OpenClosedState

Enumerator
OPEN | open
CLOSED | closed

Definition at line 30 of file Sensor.idl.

## Member Function Documentation

## ◆ getTypeSpec()

TypeSpec sensors::Sensor::getTypeSpec | ( |  | ) |

Retrieve the sensor type specification.

Returns
  Type specification

## ◆ isTypeChangeAllowed()

boolean sensors::Sensor::isTypeChangeAllowed | ( |  | ) |

Check whether the sensor type can be changed using setType().

Returns
  \true if type change is allowed

## ◆ setType()

int sensors::Sensor::setType | ( | in int | type,
|  | in int | unit )

Set sensor type and unit.

Parameters

  type | the sensor type to set
  unit | the sensor unit to set

Returns
  ERR_NOT_SUPPORTED or 0

## Member Data Documentation

## ◆ ABSOLUTE_HUMIDITY

constant int sensors::Sensor::ABSOLUTE_HUMIDITY = 41

Absolute humidity.

Definition at line 95 of file Sensor.idl.

## ◆ ACCELERATION

constant int sensors::Sensor::ACCELERATION = 23

Acceleration.

Definition at line 73 of file Sensor.idl.

## ◆ AIR_FLOW

constant int sensors::Sensor::AIR_FLOW = 10

Air flow.

Definition at line 57 of file Sensor.idl.

## ◆ AIR_PRESSURE

constant int sensors::Sensor::AIR_PRESSURE = 11

Air pressure.

Definition at line 58 of file Sensor.idl.

## ◆ AMPERE

constant int sensors::Sensor::AMPERE = 2

Electric Current, Amperes (A)

Definition at line 120 of file Sensor.idl.

## ◆ ANGLE

constant int sensors::Sensor::ANGLE = 27

Angle (e.g. phase angle)

Definition at line 77 of file Sensor.idl.

## ◆ BATTERY_LEVEL

constant int sensors::Sensor::BATTERY_LEVEL = 53

Battery level.

Definition at line 115 of file Sensor.idl.

## ◆ BECQUEREL

constant int sensors::Sensor::BECQUEREL = 47

Radiation, Becquerels (Bq)

Definition at line 170 of file Sensor.idl.

## ◆ CANDELA

constant int sensors::Sensor::CANDELA = 23

Luminous Intensity, Candela (cd)

Definition at line 144 of file Sensor.idl.

## ◆ CONTACT_CLOSURE

constant int sensors::Sensor::CONTACT_CLOSURE = 12

Contact Closure [uses NormalAlarmedState mapping].

Definition at line 59 of file Sensor.idl.

## ◆ COULOMB

constant int sensors::Sensor::COULOMB = 32

Electric Charge, Coulombs (C)

Definition at line 155 of file Sensor.idl.

## ◆ CREST_FACTOR

constant int sensors::Sensor::CREST_FACTOR = 45

Crest factor.

Definition at line 100 of file Sensor.idl.

## ◆ CUBIC_METER

constant int sensors::Sensor::CUBIC_METER = 41

Volume, Cubic meters (m^3)

Definition at line 164 of file Sensor.idl.

## ◆ CURRENT

constant int sensors::Sensor::CURRENT = 2

Current.

Definition at line 49 of file Sensor.idl.

## ◆ DEGREE

constant int sensors::Sensor::DEGREE = 28

Angle, Degrees (deg)

Definition at line 150 of file Sensor.idl.

## ◆ DEGREE_CELSIUS

constant int sensors::Sensor::DEGREE_CELSIUS = 7

Temperature, Celsius (deg C)

Definition at line 125 of file Sensor.idl.

## ◆ DEGREE_FAHRENHEIT

constant int sensors::Sensor::DEGREE_FAHRENHEIT = 29

Temperature, Fahrenheit (deg F)

Definition at line 152 of file Sensor.idl.

## ◆ DEW_POINT

constant int sensors::Sensor::DEW_POINT = 50

Dew Point.

Definition at line 109 of file Sensor.idl.

## ◆ DISCRETE_MULTI

constant int sensors::Sensor::DISCRETE_MULTI = 2

Sensor has multiple discrete readings

Definition at line 22 of file Sensor.idl.

## ◆ DISCRETE_ON_OFF

constant int sensors::Sensor::DISCRETE_ON_OFF = 1

Sensor has two discrete readings: 0 (off) and 1 (on), see OnOffState

Definition at line 21 of file Sensor.idl.

## ◆ DISTANCE

constant int sensors::Sensor::DISTANCE = 46

Distance.

Definition at line 102 of file Sensor.idl.

## ◆ DOOR_HANDLE_LOCK

constant int sensors::Sensor::DOOR_HANDLE_LOCK = 44

Door handle switch [uses OpenClosedState mapping].

Definition at line 98 of file Sensor.idl.

## ◆ DOOR_LOCK_STATE

constant int sensors::Sensor::DOOR_LOCK_STATE = 43

Door lock state [uses OpenClosedState mapping].

Definition at line 97 of file Sensor.idl.

## ◆ DOOR_STATE

constant int sensors::Sensor::DOOR_STATE = 42

Door state [uses OpenClosedState mapping].

Definition at line 96 of file Sensor.idl.

## ◆ DRY_CONTACT

constant int sensors::Sensor::DRY_CONTACT = 39

Dry contact (actuator) [uses OnOffState mapping].

Definition at line 92 of file Sensor.idl.

## ◆ ELECTRIC_FIELD_STRENGTH

constant int sensors::Sensor::ELECTRIC_FIELD_STRENGTH = 25

Electric field strength.

Definition at line 75 of file Sensor.idl.

## ◆ ELECTRICAL_IMPEDANCE

constant int sensors::Sensor::ELECTRICAL_IMPEDANCE = 51

Electrical impedance.

Definition at line 111 of file Sensor.idl.

## ◆ ELECTRICAL_RESISTANCE

constant int sensors::Sensor::ELECTRICAL_RESISTANCE = 20

Electrical resistance.

Definition at line 69 of file Sensor.idl.

## ◆ ENERGY

constant int sensors::Sensor::ENERGY = 6

Energy.

Definition at line 53 of file Sensor.idl.

## ◆ ERR_NOT_SUPPORTED

constant int sensors::Sensor::ERR_NOT_SUPPORTED = 1

The operation is not supported.

Definition at line 17 of file Sensor.idl.

## ◆ FARAD

constant int sensors::Sensor::FARAD = 45

Capacitance, Farads (F)

Definition at line 168 of file Sensor.idl.

## ◆ FAULT_STATE

constant int sensors::Sensor::FAULT_STATE = 29

Fault state [uses NormalAlarmedState mapping if of DISCRETE_ON_OFF type].

Definition at line 80 of file Sensor.idl.

## ◆ FLUX

constant int sensors::Sensor::FLUX = 21

Flux (mass per time, e.g. water flow)

Definition at line 70 of file Sensor.idl.

## ◆ FOOT

constant int sensors::Sensor::FOOT = 39

Distance, Feet (ft)

Definition at line 162 of file Sensor.idl.

## ◆ FOOT_PER_SEC

constant int sensors::Sensor::FOOT_PER_SEC = 40

Speed, Feet per second (ft/s)

Definition at line 163 of file Sensor.idl.

## ◆ FREQUENCY

constant int sensors::Sensor::FREQUENCY = 7

Frequency.

Definition at line 54 of file Sensor.idl.

## ◆ G

constant int sensors::Sensor::G = 12

Acceleration, G-force (g)

Definition at line 130 of file Sensor.idl.

## ◆ G_PER_CUBIC_METER

constant int sensors::Sensor::G_PER_CUBIC_METER = 50

Density, Grams per cubic meter (g/m^3)

Definition at line 173 of file Sensor.idl.

## ◆ GRAM

constant int sensors::Sensor::GRAM = 20

Mass, Gram (g)

Definition at line 140 of file Sensor.idl.

## ◆ GRAY

constant int sensors::Sensor::GRAY = 48

Radiation, Grays (Gy, J/kg)

Definition at line 171 of file Sensor.idl.

## ◆ HENRY

constant int sensors::Sensor::HENRY = 44

Inductance, Henries (H, Vs/A, Ohm s)

Definition at line 167 of file Sensor.idl.

## ◆ HOUR

constant int sensors::Sensor::HOUR = 15

Time, Hours (h)

Definition at line 133 of file Sensor.idl.

## ◆ HUMIDITY

constant int sensors::Sensor::HUMIDITY = 9

Relative humidity.

Definition at line 56 of file Sensor.idl.

## ◆ HZ

constant int sensors::Sensor::HZ = 8

Frequency, Hertz (Hz)

Definition at line 126 of file Sensor.idl.

## ◆ ILLUMINANCE

constant int sensors::Sensor::ILLUMINANCE = 34

Illuminance used for light incident on a surface.

Definition at line 86 of file Sensor.idl.

## ◆ JOULE

constant int sensors::Sensor::JOULE = 31

Energy, Joules (J)

Definition at line 154 of file Sensor.idl.

## ◆ KELVIN

constant int sensors::Sensor::KELVIN = 30

Temperature, Kelvin (K)

Definition at line 153 of file Sensor.idl.

## ◆ LENGTH

constant int sensors::Sensor::LENGTH = 47

Length.

Definition at line 103 of file Sensor.idl.

## ◆ LITERS_PER_HOUR

constant int sensors::Sensor::LITERS_PER_HOUR = 22

Flow, Liters per hour (l/h)

Definition at line 142 of file Sensor.idl.

## ◆ LUMEN

constant int sensors::Sensor::LUMEN = 34

Luminous Flux, Lumen (lm)

Definition at line 157 of file Sensor.idl.

## ◆ LUMEN_SECOND

constant int sensors::Sensor::LUMEN_SECOND = 35

Luminous Energy, Lumen second (lm s)

Definition at line 158 of file Sensor.idl.

## ◆ LUMINOUS_EMITTANCE

constant int sensors::Sensor::LUMINOUS_EMITTANCE = 35

Luminous emittance used for light emitted from a surface.

Definition at line 87 of file Sensor.idl.

## ◆ LUMINOUS_ENERGY

constant int sensors::Sensor::LUMINOUS_ENERGY = 32

Luminous energy.

Definition at line 84 of file Sensor.idl.

## ◆ LUMINOUS_FLUX

constant int sensors::Sensor::LUMINOUS_FLUX = 33

Luminous flux.

Definition at line 85 of file Sensor.idl.

## ◆ LUMINOUS_INTENSITY

constant int sensors::Sensor::LUMINOUS_INTENSITY = 22

Luminous intensity.

Definition at line 72 of file Sensor.idl.

## ◆ LUX

constant int sensors::Sensor::LUX = 36

Luminous Flux, Lux (lx)

Definition at line 159 of file Sensor.idl.

## ◆ MAGNETIC_FIELD_STRENGTH

constant int sensors::Sensor::MAGNETIC_FIELD_STRENGTH = 26

Magnetic field strength [uses NormelAlarmedState mapping if of DISCRETE_ON_OFF type].

Definition at line 76 of file Sensor.idl.

## ◆ MAGNETIC_FLUX_DENSITY

constant int sensors::Sensor::MAGNETIC_FLUX_DENSITY = 24

Magnetic flux density.

Definition at line 74 of file Sensor.idl.

## ◆ MASS

constant int sensors::Sensor::MASS = 19

Mass.

Definition at line 68 of file Sensor.idl.

## ◆ METER

constant int sensors::Sensor::METER = 14

Distance, Meters (m)

Definition at line 132 of file Sensor.idl.

## ◆ METER_PER_SEC

constant int sensors::Sensor::METER_PER_SEC = 10

Speed, Meters per second (m/s)

Definition at line 128 of file Sensor.idl.

## ◆ METER_PER_SQARE_SEC

constant int sensors::Sensor::METER_PER_SQARE_SEC = 24

Typo, preserved for backward compatibility.

Definition at line 146 of file Sensor.idl.

## ◆ METER_PER_SQUARE_SEC

constant int sensors::Sensor::METER_PER_SQUARE_SEC = 24

Acceleration, Meter per square second (m/s^2)

Definition at line 145 of file Sensor.idl.

## ◆ MINUTE

constant int sensors::Sensor::MINUTE = 16

Time, Minutes (min)

Definition at line 134 of file Sensor.idl.

## ◆ MOL

constant int sensors::Sensor::MOL = 46

Substance Quantity, Moles (mol)

Definition at line 169 of file Sensor.idl.

## ◆ MOTION

constant int sensors::Sensor::MOTION = 36

Motion detection.

Definition at line 89 of file Sensor.idl.

## ◆ NEWTON

constant int sensors::Sensor::NEWTON = 38

Force, Newtons (N, J/m)

Definition at line 161 of file Sensor.idl.

## ◆ NIT

constant int sensors::Sensor::NIT = 33

Luminance, Nits (cd/m^2)

Definition at line 156 of file Sensor.idl.

## ◆ NONE

constant int sensors::Sensor::NONE = 0

Sensor unit

No unit

Definition at line 118 of file Sensor.idl.

## ◆ NUMERIC

constant int sensors::Sensor::NUMERIC = 0

Sensor reading type

Sensor has numeric readings

Definition at line 20 of file Sensor.idl.

## ◆ OCCUPANCY

constant int sensors::Sensor::OCCUPANCY = 37

Occupancy detection [uses NormalAlarmedState mapping].

Definition at line 90 of file Sensor.idl.

## ◆ OHM

constant int sensors::Sensor::OHM = 21

Resistance, Ohm (omega, R)

Definition at line 141 of file Sensor.idl.

## ◆ ON_OFF_SENSOR

constant int sensors::Sensor::ON_OFF_SENSOR = 13

Switch state [uses OnOffState mapping].

Definition at line 60 of file Sensor.idl.

## ◆ PARTICLE_DENSITY

constant int sensors::Sensor::PARTICLE_DENSITY = 49

Particle Density.

Definition at line 107 of file Sensor.idl.

## ◆ PASCAL

constant int sensors::Sensor::PASCAL = 11

Pressure, Pascal (Pa)

Definition at line 129 of file Sensor.idl.

## ◆ PERCENT

constant int sensors::Sensor::PERCENT = 9

Ratio, Percent (%)

Definition at line 127 of file Sensor.idl.

## ◆ POWER

constant int sensors::Sensor::POWER = 4

Power.

Definition at line 51 of file Sensor.idl.

## ◆ POWER_FACTOR

constant int sensors::Sensor::POWER_FACTOR = 5

Power factor.

Definition at line 52 of file Sensor.idl.

## ◆ POWER_QUALITY

constant int sensors::Sensor::POWER_QUALITY = 30

Power quality.

Definition at line 81 of file Sensor.idl.

## ◆ POWERED_DRY_CONTACT

constant int sensors::Sensor::POWERED_DRY_CONTACT = 40

Powered dry contact (actuator) [uses OnOffState mapping].

Definition at line 93 of file Sensor.idl.

## ◆ PSI

constant int sensors::Sensor::PSI = 37

Pressure, Pounds per square inch (psi)

Definition at line 160 of file Sensor.idl.

## ◆ RADIANT

constant int sensors::Sensor::RADIANT = 42

Angle, Radians (rad)

Definition at line 165 of file Sensor.idl.

## ◆ ROTATIONAL_SPEED

constant int sensors::Sensor::ROTATIONAL_SPEED = 31

Rotational speed (e.g. fan speed)

Definition at line 82 of file Sensor.idl.

## ◆ RPM

constant int sensors::Sensor::RPM = 13

Rotation, Revolutions per minute (rpm)

Definition at line 131 of file Sensor.idl.

## ◆ SECOND

constant int sensors::Sensor::SECOND = 17

Time, Seconds (s)

Definition at line 135 of file Sensor.idl.

## ◆ SELECTION

constant int sensors::Sensor::SELECTION = 28

Selected index (one of n)

Definition at line 79 of file Sensor.idl.

## ◆ SIEVERT

constant int sensors::Sensor::SIEVERT = 49

Radiation, Sieverts (Sv = J/kg)

Definition at line 172 of file Sensor.idl.

## ◆ SMOKE_DETECTOR

constant int sensors::Sensor::SMOKE_DETECTOR = 17

Smoke detector [uses NormalAlarmedState mapping].

Definition at line 64 of file Sensor.idl.

## ◆ STERADIANT

constant int sensors::Sensor::STERADIANT = 43

Solid Angle, Steradians (sr)

Definition at line 166 of file Sensor.idl.

## ◆ TAMPER

constant int sensors::Sensor::TAMPER = 38

Tamper detection [uses NormalAlarmedState mapping].

Definition at line 91 of file Sensor.idl.

## ◆ TEMPERATURE

constant int sensors::Sensor::TEMPERATURE = 8

Temperature.

Definition at line 55 of file Sensor.idl.

## ◆ TESLA

constant int sensors::Sensor::TESLA = 25

Magnetic Flux Density, Tesla (T)

Definition at line 147 of file Sensor.idl.

## ◆ TOTAL_HARMONIC_DISTORTION

constant int sensors::Sensor::TOTAL_HARMONIC_DISTORTION = 18

Total harmonic distortion.

Definition at line 66 of file Sensor.idl.

## ◆ TRIP_SENSOR

constant int sensors::Sensor::TRIP_SENSOR = 14

Circuit breaker tripped [uses OpenClosedState mapping].

Definition at line 61 of file Sensor.idl.

## ◆ TS_BYPASS_STATE

constant int sensors::Sensor::TS_BYPASS_STATE = 52

Transfer switch bypass state.

Definition at line 113 of file Sensor.idl.

## ◆ UG_PER_CUBIC_METER

constant int sensors::Sensor::UG_PER_CUBIC_METER = 51

Density, Micrograms per cubic meter (µg/m^3)

Definition at line 174 of file Sensor.idl.

## ◆ UNBALANCE_CURRENT

constant int sensors::Sensor::UNBALANCE_CURRENT = 3

Current unbalance.

Definition at line 50 of file Sensor.idl.

## ◆ UNBALANCE_VOLTAGE

constant int sensors::Sensor::UNBALANCE_VOLTAGE = 48

Voltage unbalance.

Definition at line 105 of file Sensor.idl.

## ◆ UNSPECIFIED

constant int sensors::Sensor::UNSPECIFIED = 0

Sensor type

Unspecified

Definition at line 46 of file Sensor.idl.

## ◆ VIBRATION

constant int sensors::Sensor::VIBRATION = 15

Vibration [uses NormalAlarmedState mapping].

Definition at line 62 of file Sensor.idl.

## ◆ VOLT

constant int sensors::Sensor::VOLT = 1

Electric Potential, Volts (V)

Definition at line 119 of file Sensor.idl.

## ◆ VOLT_AMP

constant int sensors::Sensor::VOLT_AMP = 4

Electric Capacity, Volt Amperes (VA)

Definition at line 122 of file Sensor.idl.

## ◆ VOLT_AMP_HOUR

constant int sensors::Sensor::VOLT_AMP_HOUR = 6

Apparent Energy, Volt-Ampere hours (VAh)

Definition at line 124 of file Sensor.idl.

## ◆ VOLT_AMP_REACTIVE

constant int sensors::Sensor::VOLT_AMP_REACTIVE = 18

Reactive Power, Volt Amperes reactive (var)

Definition at line 137 of file Sensor.idl.

## ◆ VOLT_AMP_REACTIVE_HOUR

constant int sensors::Sensor::VOLT_AMP_REACTIVE_HOUR = 19

Reactive Energy, Volt Ampere reactive hours (varh)

Definition at line 138 of file Sensor.idl.

## ◆ VOLT_PER_AMPERE

constant int sensors::Sensor::VOLT_PER_AMPERE = 27

Resistance, Volt per ampere (V/A)

Definition at line 149 of file Sensor.idl.

## ◆ VOLT_PER_METER

constant int sensors::Sensor::VOLT_PER_METER = 26

Electric Field, Volt per meter (V/m)

Definition at line 148 of file Sensor.idl.

## ◆ VOLTAGE

constant int sensors::Sensor::VOLTAGE = 1

Voltage.

Definition at line 48 of file Sensor.idl.

## ◆ WATER_LEAK

constant int sensors::Sensor::WATER_LEAK = 16

Water leak [uses NormalAlarmedState mapping].

Definition at line 63 of file Sensor.idl.

## ◆ WATT

constant int sensors::Sensor::WATT = 3

Electric Power, Watts (W)

Definition at line 121 of file Sensor.idl.

## ◆ WATT_HOUR

constant int sensors::Sensor::WATT_HOUR = 5

Active Energy, Watt hours (Wh)

Definition at line 123 of file Sensor.idl.

The documentation for this interface was generated from the following file:

- Sensor.idl